ts_t Struct Reference
Digital TV table parsing

MPEG PES timestamp structure, used for dts and pts. More...

`#include <mpeg_pes.h>`

## Data Fields

uint8_t | one:1
uint8_t | bits30:3
uint8_t | tag:4
union { |
uint16_t bitfield |
struct { |
uint16_t one1:1 |
uint16_t bits15:15 |
} |
}; |
union { |
uint16_t bitfield2 |
struct { |
uint16_t one2:1 |
uint16_t bits00:15 |
} |
}; |

## Detailed Description

MPEG PES timestamp structure, used for dts and pts.

Parameters

  tag | 4 bits Should be 0010 for PTS and 0011 for DTS
  bits30 | 3 bits Timestamp bits 30-32
  one | 1 bit Sould be 1
  bits15 | 15 bits Timestamp bits 15-29
  one1 | 1 bit Should be 1
  bits00 | 15 Bits Timestamp bits 0-14
  one2 | 1 bit Should be 1

Definition at line 108 of file mpeg_pes.h.

## Field Documentation

## [union]

union { ... } ts_t

## [union]

union { ... } ts_t

## bitfield

uint16_t ts_t::bitfield

Definition at line 114 of file mpeg_pes.h.

## bitfield2

uint16_t ts_t::bitfield2

Definition at line 122 of file mpeg_pes.h.

## bits00

uint16_t ts_t::bits00

Definition at line 125 of file mpeg_pes.h.

## bits15

uint16_t ts_t::bits15

Definition at line 117 of file mpeg_pes.h.

## bits30

uint8_t ts_t::bits30

Definition at line 110 of file mpeg_pes.h.

## one

uint8_t ts_t::one

Definition at line 109 of file mpeg_pes.h.

## one1

uint16_t ts_t::one1

Definition at line 116 of file mpeg_pes.h.

## one2

uint16_t ts_t::one2

Definition at line 124 of file mpeg_pes.h.

## tag

uint8_t ts_t::tag

Definition at line 111 of file mpeg_pes.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mpeg_pes.h